#ifndef _PSTACK_H
#define _PSTACK_H

#ifndef STATIC
#define STATIC
#endif

struct plain_stack;
typedef struct plain_stack *pstack;

STATIC pstack stack_alloc(void);
STATIC void stack_free(pstack);
STATIC pstack stack_push(pstack, const char *);
STATIC const char *stack_pop(pstack);
STATIC const char *stack_lookup(pstack, const char *);

#endif /* _PSTACK_H */
